summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrew Ammerlaan <andrewammerlaan@riseup.net>2020-04-11 10:51:14 +0200
committerJoonas Niilola <juippis@gentoo.org>2020-12-08 07:53:04 +0200
commit87fd664911b4b1661053dbca2121cab93c38e7b4 (patch)
tree12d9f76270f6819c04c118b18be781ce7ab0797d /dev-python/pyspelling
parentdev-python/wcmatch: Wildcard/glob file name matcher (diff)
downloadgentoo-87fd664911b4b1661053dbca2121cab93c38e7b4.tar.gz
gentoo-87fd664911b4b1661053dbca2121cab93c38e7b4.tar.bz2
gentoo-87fd664911b4b1661053dbca2121cab93c38e7b4.zip
dev-python/pyspelling: Spell checker automation tool
Package-Manager: Portage-2.3.98, Repoman-2.3.22 Signed-off-by: Andrew Ammerlaan <andrewammerlaan@riseup.net> Signed-off-by: Joonas Niilola <juippis@gentoo.org>
Diffstat (limited to 'dev-python/pyspelling')
-rw-r--r--dev-python/pyspelling/Manifest1
-rw-r--r--dev-python/pyspelling/metadata.xml28
-rw-r--r--dev-python/pyspelling/pyspelling-2.7.0.ebuild52
3 files changed, 81 insertions, 0 deletions
diff --git a/dev-python/pyspelling/Manifest b/dev-python/pyspelling/Manifest
new file mode 100644
index 00000000000..b85ac18e568
--- /dev/null
+++ b/dev-python/pyspelling/Manifest
@@ -0,0 +1 @@
+DIST pyspelling-2.7.0.tar.gz 149425 BLAKE2B f8e600a41ebd4ec290562307306e7fd5c67d384b9186de037b98d50d58016ded19c426caa892497ca44e309fb3db04292b890612afbe25a34f9f6b06985d3740 SHA512 2fcd225a66cb02fff10d5ca652e523a01bd0488a005dafa32ba1151fba9afe73809781501c957d6df00927baa9fb6779872973b32e2d3fe8a09306fdc4191995
diff --git a/dev-python/pyspelling/metadata.xml b/dev-python/pyspelling/metadata.xml
new file mode 100644
index 00000000000..e649e6dcff7
--- /dev/null
+++ b/dev-python/pyspelling/metadata.xml
@@ -0,0 +1,28 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+
+<pkgmetadata>
+ <maintainer type="person">
+ <email>lssndrbarbieri@gmail.com</email>
+ <name>Alessandro Barbieri</name>
+ </maintainer>
+ <maintainer type="person">
+ <email>andrewammerlaan@riseup.net</email>
+ <name>Andrew Ammerlaan</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">facelessuser/pyspelling</remote-id>
+ </upstream>
+ <longdescription lang="en">
+PySpelling is a module to help with automating spell checking in a project with Aspell or
+Hunspell. It is essentially a wrapper around the command line utility of these two spell
+checking tools, and allows you to setup different spelling tasks for different file types.
+You can apply specific and different filters and options to each task. PySpelling can also
+be used in CI environments to fail the build if there are misspelled words.
+Aspell and Hunspell are very good spell checking tools. Aspell particularly comes with a couple of filters, but the filters are limited in types and aren't extremely flexible. PySpelling was created to work around Aspell's and Hunspell's filtering shortcomings by creating a wrapper around them that could be extended to handle more kinds of file formats and provide more advanced filtering. If you need to filter out specific HTML tags with specific IDs or class names, PySpelling can do it. If you want to scan Python files for docstrings, but also avoid specific content within the docstring, you can do that as well. If PySpelling doesn't have a filter you need, with access to so many available Python modules, you can easily write your own.
+ </longdescription>
+</pkgmetadata>
diff --git a/dev-python/pyspelling/pyspelling-2.7.0.ebuild b/dev-python/pyspelling/pyspelling-2.7.0.ebuild
new file mode 100644
index 00000000000..f350d6f3873
--- /dev/null
+++ b/dev-python/pyspelling/pyspelling-2.7.0.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8} )
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+DOCS_BUILDER="mkdocs"
+DOCS_DEPEND="
+ ~dev-python/mkdocs_pymdownx_material_extras-1.1.3
+ dev-python/mkdocs-git-revision-date-localized-plugin
+ dev-python/mkdocs-minify-plugin
+"
+
+inherit distutils-r1 docs
+
+DESCRIPTION="Spell checker automation tool"
+HOMEPAGE="https://github.com/facelessuser/pyspelling"
+SRC_URI="https://github.com/facelessuser/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ || ( app-text/aspell app-text/hunspell )
+
+ dev-python/beautifulsoup:4[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/html5lib[${PYTHON_USEDEP}]
+ dev-python/markdown[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ >=dev-python/soupsieve-1.8[${PYTHON_USEDEP}]
+ >=dev-python/wcmatch-6.0.3[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # mkdocs-git-revision-date-localized-plugin needs git repo
+ if use doc; then
+ git init
+ git config --global user.email "you@example.com" || die
+ git config --global user.name "Your Name" || die
+ git add .
+ git commit -m 'init'
+ fi
+
+ distutils-r1_python_prepare_all
+}